org.apache.solr.update.processor

## Class DistributedUpdateProcessor.DistributedUpdatesAsyncException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.solr.common.SolrException
        - - org.apache.solr.update.processor.DistributedUpdateProcessor.DistributedUpdatesAsyncException

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    DistributedUpdateProcessor

      public static final class DistributedUpdateProcessor.DistributedUpdatesAsyncException
      extends SolrException

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.common.SolrException

      `SolrException.ErrorCode`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `List<SolrCmdDistributor.Error>` | `errors`

    - ### Fields inherited from class org.apache.solr.common.SolrException

      `ERROR_CLASS, ignorePatterns, metadata, ROOT_ERROR_CLASS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DistributedUpdatesAsyncException(List<SolrCmdDistributor.Error> errors)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.solr.common.SolrException

      `code, doIgnore, getMetadata, getMetadata, getRootCause, getRootThrowable, getThrowable, log, log, log, log, logDebugWithMdc, logInfoWithMdc, logWarnWithMdc, setMetadata, setMetadata, toStr, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### errors

          public final List<SolrCmdDistributor.Error> errors

  - ### Constructor Detail

    - #### DistributedUpdatesAsyncException

          public DistributedUpdatesAsyncException(List<SolrCmdDistributor.Error> errors)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.